import { ComponentConfig } from './componentConfig';
import { GlobalOptions } from './core';
import { Workspace } from './workspace';
export interface Component {
    name: string;
    config: ComponentConfig;
    workspace: Workspace;
    template?: ComponentConfig;
    justStarted?: boolean;
    context?: Map<string, string>;
}
export declare const initComponent: (component: Component) => Promise<void>;
export declare const componentExecCompose: (comp: Component, composeCommand: string[], options: GlobalOptions, interactive?: boolean) => Promise<string>;
export declare const componentExec: (comp: Component, command: string[], options: GlobalOptions, interactive?: boolean) => Promise<string>;
export declare const componentIsRunning: (comp: Component, options: GlobalOptions) => Promise<boolean>;
export declare const componentStart: (comp: Component, options: GlobalOptions) => Promise<string | undefined>;
export declare const componentStop: (comp: Component, options: GlobalOptions) => Promise<void>;
export declare const componentDestroy: (comp: Component, options: GlobalOptions) => Promise<string | undefined>;
export declare const componentRestart: (comp: Component, hard: boolean, options: GlobalOptions) => Promise<string | undefined>;
export declare const componentCompose: (comp: Component, options: GlobalOptions) => Promise<string>;
export declare const componentExecOptions: (comp: Component, options: GlobalOptions) => Promise<string>;
//# sourceMappingURL=component.d.ts.map