import { Component } from './component';
import { Mode } from './core';
import { Workspace } from './workspace';
export type ModeList = Mode[];
export interface ComponentConfig {
    alias?: string;
    composeFile?: string;
    dependencies: Map<string, ModeList>;
    execPath?: string;
    extends?: string;
    hostedIn?: string;
    hostname?: string;
    isTemplate?: boolean;
    path?: string;
    replace?: boolean;
    variables: Map<string, string>;
    repository?: string;
    tags?: string[];
    afterCloneHook?: string;
}
export declare const mergeComponentConfigs: (cc: ComponentConfig, cc2: ComponentConfig) => {
    alias?: string | undefined;
    composeFile?: string | undefined;
    dependencies: Map<string, ModeList>;
    execPath?: string | undefined;
    extends?: string | undefined;
    hostedIn?: string | undefined;
    hostname?: string | undefined;
    isTemplate?: boolean | undefined;
    path?: string | undefined;
    replace?: boolean | undefined;
    variables: Map<string, string>;
    repository?: string | undefined;
    tags?: string[] | undefined;
    afterCloneHook?: string | undefined;
};
export declare const getDeps: (cc: ComponentConfig, mode: Mode) => string[];
export declare const resolveDeps: (workspace: Workspace, deps: string[]) => Component[];
//# sourceMappingURL=componentConfig.d.ts.map