import yargs from 'yargs';
export type Mode = 'default' | 'hook';
export interface GlobalOptions {
    workspaceName?: string;
    debug?: boolean;
    cmd?: string[];
    force?: boolean;
    mode?: Mode;
    workingDir?: string;
    UID?: number;
    tag?: string;
    dryRun?: boolean;
    noTty?: boolean;
}
interface Dict<T> {
    [key: string]: T | undefined;
}
export declare function env(content: string, variables: Dict<string>): string;
export declare const substVars: (expr: string, ctx: Map<string, string>) => string;
export declare const generateHookScript: (scripts: string[], uniformBinary: string) => string;
/**
 * Executes a shell command and return it as a Promise.
 */
export declare function execShellToString(cmd: string, cwd: string, env: Record<string, string>): Promise<string>;
/**
 * Executes a shell command, sends all data to stdout and stderr.
 */
export declare function execShellInteractive(cmd: string, cwd: string, env: Record<string, string>): Promise<number | null>;
export declare const yargsAddGlobalOptions: (yargs: yargs.Argv<GlobalOptions>) => yargs.Argv<yargs.Omit<GlobalOptions, "debug"> & {
    debug: boolean;
} & {
    "dry-run": boolean;
} & {
    uid: number;
} & {
    "no-tty": boolean;
}>;
export {};
//# sourceMappingURL=core.d.ts.map